Package org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven

## Class EventDrivenTransformation

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven.EventDrivenTransformation

-     public class EventDrivenTransformation
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EventDrivenTransformation.EventDrivenTransformationBuilder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `static EventDrivenTransformation.EventDrivenTransformationBuilder` | `forEngine​(ViatraQueryEngine engine)` |
    `static EventDrivenTransformation.EventDrivenTransformationBuilder` | `forScope​(EMFScope scope)` |
    `ExecutionSchema` | `getExecutionSchema()` |
    `ViatraQueryEngine` | `getQueryEngine()` |
    `java.util.Map<RuleSpecification<?>,​EventDrivenTransformationRule<?,​?>>` | `getTransformationRules()` |
    `EventDrivenTransformation` | `setDebugLevel​(org.apache.log4j.Level level)` |
    `protected void` | `setRules​(java.util.Map<RuleSpecification<?>,​EventDrivenTransformationRule<?,​?>> rules)` |
    `void` | `useDebugInfo​(boolean debug)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forScope

          public static EventDrivenTransformation.EventDrivenTransformationBuilder forScope​(EMFScope scope)

    - #### forEngine

          public static EventDrivenTransformation.EventDrivenTransformationBuilder forEngine​(ViatraQueryEngine engine)

    - #### setDebugLevel

          public EventDrivenTransformation setDebugLevel​(org.apache.log4j.Level level)

    - #### getQueryEngine

          public ViatraQueryEngine getQueryEngine()

    - #### getExecutionSchema

          public ExecutionSchema getExecutionSchema()

    - #### useDebugInfo

          public void useDebugInfo​(boolean debug)

    - #### getTransformationRules

          public java.util.Map<RuleSpecification<?>,​EventDrivenTransformationRule<?,​?>> getTransformationRules()

    - #### setRules

          protected void setRules​(java.util.Map<RuleSpecification<?>,​EventDrivenTransformationRule<?,​?>> rules)

    - #### dispose

          public void dispose()